=== debian/changelog ===
ros-melodic-yocs-waypoint-provider (0.8.2-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 21 Jan 2019 16:13:07 -0000

ros-melodic-yocs-waypoint-provider (0.6.2-0stretch) stretch; urgency=high

  * update yaml cpp dependency #63 <https://github.com/yujinrobot/yujin_ocs/issues/63>
  * [yocs_waypoint_provider] : fix timestamping so rviz will always display
    them (http://wiki.ros.org/rviz/DisplayTypes/Marker)
  * yocs_waypoint_provider: add handling of way point trajectories
  * renames yocs_waypoint_manager to yocs_waypoint_provider (resolves #46 <https://github.com/yujinrobot/yujin_ocs/issues/46>)
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 30 Nov 2014 05:00:00 -0000

ros-melodic-yocs-waypoint-provider (0.6.1-0stretch) stretch; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * waypoint manager yaml compatibility fix
  * update package info
  * working version. marker appears properly.
  * seems ready. markers does not appear in rviz though
  * rename waypoints to waypoint
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Jul 2014 04:00:00 -0000
