=== debian/control ===
Source: ros-melodic-yocs-waypoint-provider
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-visualization-msgs, ros-melodic-yocs-msgs
Homepage: http://ros.org/wiki/yocs_waypoint_provider
Standards-Version: 3.9.2

Package: ros-melodic-yocs-waypoint-provider
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-visualization-msgs, ros-melodic-yocs-msgs
Description: Parse a multiple poses from yaml and provide as topic and service.
 This package is highly inspired by yocs_waypoints_navi
